program SecureEmailExample;

{$mode objfpc}{$H+}

uses
  {$ifdef unix}
  cthreads,
  {$endif}
  IniFiles,
  IndySecureMailClient;

var
  Mail: TSSLEmail;
  ini: TINIFile;
  lFrom: string;
  lTo: string;
  lPassword: string;
begin
  ini := TINIFile.Create('config.ini');
  try
    lFrom := ini.ReadString('settings', 'email', 'me@example.com');
    lPassword := ini.ReadString('settings', 'password', '<password>');
    lTo := ini.ReadString('settings', 'destination', 'abc@example.com');

    // smtp.gmail.com => 66.102.1.108
    Mail := TSSLEmail.Create('smtp.gmail.com', 465, lFrom, lPassword);
    try
      Mail.edSenderName := 'ABC Inc.';
      Mail.edSenderEmail := lFrom;
      Mail.edToEmail := lTo;
      Mail.edSubject := 'This is a test subject';
      Mail.edBody.Text := 'Hi, this is a test message. Cheers.';

      Mail.SendEmail;
    finally
      Mail.Free;
    end;
  finally
    ini.Free;
  end;
end.


